- updated to 19.04.1
authorWitold Filipczyk <witekfl@poczta.onet.pl>
Mon, 13 May 2019 09:36:32 +0000 (11:36 +0200)
committerWitold Filipczyk <witekfl@poczta.onet.pl>
Mon, 13 May 2019 09:36:32 +0000 (11:36 +0200)
- packaged docs
- macro kframever

ka5-korganizer.spec

index 16e2a155e4ea432ad01e10a03dea83e76de794d2..8db7d58345ee221d44fb7d43619fb4a3460757f3 100644 (file)
@@ -1,14 +1,15 @@
-%define                kdeappsver      18.12.1
+%define                kdeappsver      19.04.1
+%define                kframever       5.56.0
 %define                qtver           5.9.0
 %define                kaname          korganizer
 Summary:       korganizer
 Name:          ka5-%{kaname}
-Version:       18.12.1
+Version:       19.04.1
 Release:       1
 License:       GPL v2+/LGPL v2.1+
 Group:         X11/Applications
 Source0:       http://download.kde.org/stable/applications/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
-# Source0-md5: 18167b026f936b62113ac467d294edfd
+# Source0-md5: f1f02e3914536507fc0bbbf828088c45
 URL:           http://www.kde.org/
 BuildRequires: Qt5Core-devel >= %{qtver}
 BuildRequires: Qt5DBus-devel
@@ -29,7 +30,7 @@ BuildRequires:        ka5-eventviews-devel >= %{kdeappsver}
 BuildRequires: ka5-incidenceeditor-devel >= %{kdeappsver}
 BuildRequires: ka5-kcalcore-devel >= %{kdeappsver}
 BuildRequires: ka5-kcalutils-devel >= %{kdeappsver}
-BuildRequires: ka5-kcontacts-devel
+BuildRequires: ka5-kcontacts-devel >= %{kdeappsver}
 BuildRequires: ka5-kdepim-apps-libs-devel >= %{kdeappsver}
 BuildRequires: ka5-kidentitymanagement-devel >= %{kdeappsver}
 BuildRequires: ka5-kldap-devel >= %{kdeappsver}
@@ -39,28 +40,27 @@ BuildRequires:      ka5-kontactinterface-devel >= %{kdeappsver}
 BuildRequires: ka5-kpimtextedit-devel >= %{kdeappsver}
 BuildRequires: ka5-libkdepim-devel >= %{kdeappsver}
 BuildRequires: ka5-pimcommon-devel >= %{kdeappsver}
-BuildRequires: kf5-extra-cmake-modules >= 5.51.0
-BuildRequires: kf5-extra-cmake-modules >= 5.51.0
-BuildRequires: kf5-kcmutils-devel >= 5.51.0
-BuildRequires: kf5-kcodecs-devel >= 5.51.0
-BuildRequires: kf5-kcompletion-devel >= 5.51.0
-BuildRequires: kf5-kconfig-devel >= 5.51.0
-BuildRequires: kf5-kconfigwidgets-devel >= 5.51.0
-BuildRequires: kf5-kcoreaddons-devel >= 5.51.0
-BuildRequires: kf5-kcrash-devel >= 5.51.0
-BuildRequires: kf5-kdbusaddons-devel >= 5.51.0
-BuildRequires: kf5-kdoctools-devel >= 5.51.0
-BuildRequires: kf5-kholidays-devel >= 5.51.0
-BuildRequires: kf5-kiconthemes-devel >= 5.51.0
-BuildRequires: kf5-kitemviews-devel >= 5.51.0
-BuildRequires: kf5-kjobwidgets-devel >= 5.51.0
-BuildRequires: kf5-knewstuff-devel >= 5.51.0
-BuildRequires: kf5-knotifications-devel >= 5.51.0
-BuildRequires: kf5-kparts-devel >= 5.51.0
-BuildRequires: kf5-kservice-devel >= 5.51.0
-BuildRequires: kf5-kwidgetsaddons-devel >= 5.51.0
-BuildRequires: kf5-kwindowsystem-devel >= 5.51.0
-BuildRequires: kf5-kxmlgui-devel >= 5.51.0
+BuildRequires: kf5-extra-cmake-modules >= %{kframever}
+BuildRequires: kf5-kcmutils-devel >= %{kframever}
+BuildRequires: kf5-kcodecs-devel >= %{kframever}
+BuildRequires: kf5-kcompletion-devel >= %{kframever}
+BuildRequires: kf5-kconfig-devel >= %{kframever}
+BuildRequires: kf5-kconfigwidgets-devel >= %{kframever}
+BuildRequires: kf5-kcoreaddons-devel >= %{kframever}
+BuildRequires: kf5-kcrash-devel >= %{kframever}
+BuildRequires: kf5-kdbusaddons-devel >= %{kframever}
+BuildRequires: kf5-kdoctools-devel >= %{kframever}
+BuildRequires: kf5-kholidays-devel >= %{kframever}
+BuildRequires: kf5-kiconthemes-devel >= %{kframever}
+BuildRequires: kf5-kitemviews-devel >= %{kframever}
+BuildRequires: kf5-kjobwidgets-devel >= %{kframever}
+BuildRequires: kf5-knewstuff-devel >= %{kframever}
+BuildRequires: kf5-knotifications-devel >= %{kframever}
+BuildRequires: kf5-kparts-devel >= %{kframever}
+BuildRequires: kf5-kservice-devel >= %{kframever}
+BuildRequires: kf5-kwidgetsaddons-devel >= %{kframever}
+BuildRequires: kf5-kwindowsystem-devel >= %{kframever}
+BuildRequires: kf5-kxmlgui-devel >= %{kframever}
 BuildRequires: ninja
 BuildRequires: phonon-qt5-devel
 BuildRequires: qt5-build >= %{qtver}
@@ -84,6 +84,7 @@ install -d build
 cd build
 %cmake \
        -G Ninja \
+       -DHTML_INSTALL_DIR=%{_kdedocdir} \
        -DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
        ..
 %ninja_build
This page took 0.09693 seconds and 4 git commands to generate.